
QGIS Application - Bug report #16319

DXF Export generates many numbered layers (1 layer for each feature)

2017-03-08 07:55 AM - Albert van de Maat

Status: Closed

Priority: Normal

Assignee:

Category: DXF export

Affected QGIS version:2.18.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24229

Description

DXF export does not generate separate layers for each chosen source layer.

Instead it generates many numbered layers (1 layer for each feature), so it results in an unuseful dxf file.

How to reproduce:

-load the 2 shapes in Files.zip

-DXF Export...

-Check the result dxf in cad-application.

Related issues:

Duplicated by QGIS Application - Bug report # 17126: QGIS 2.18.12 dxf export ... Closed 2017-09-12

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-11-16 05:40 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

This was fixed in recent 2.18 versions

#3 - 2017-11-16 08:35 AM - Jürgen Fischer

- Duplicated by Bug report #17126: QGIS 2.18.12 dxf export generates one layer per feature added

Files

Files.zip 92.9 KB 2017-03-08 Albert van de Maat

Layers_in_dxf_export.PNG 11.3 KB 2017-03-08 Albert van de Maat
